文档

​
​

Development

User Acquisition

Monetization

工业

Live Content Admin API

v1

受支持
​

Live Content Admin API

v1

受支持
​

此页面不支持所选语言。
Unity Services Web APIs
​
​
mdx:openapi:endpoints
  • Assets
  • Configs
  • Files
  • Releases

Live Content Admin API

Live Content is a unified service for management and runtime delivery of both assets (binaries, bundles, files) and configuration (JSON data backed by schemas).
Download OpenAPI specification:

Get assets


Gets all assets information for a given environment. Assets include both files and configs. Assets can be searched/queried by path or variant tag. For example, to search by path you can do "/assets/info?path=asset.bundle". To search by variant tag you can do "/assets/info?variantTag=android". To search for assets with no variant tags, use "/assets/info?variantTag". To get all assets regardless of variant tags, use "/assets/info" (omit the variantTag parameter).

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Query parameters for "{title}"

page

integer
Current Page

limit

integer
默认: 10
Items Per Page

path

string
Path

variantTag

array
Variant Tag. When present, filters results to those with the specified variant tags. Pass one or more values (e.g.
variantTag=ios&variantTag=android
) to match a specific tag set. Pass an empty value (
variantTag=
) to return only resources that have no variant tags assigned. Omit the parameter entirely to return all resources regardless of variant tags.

noVariantTag

boolean
deprecated
Deprecated: use
variantTag=
(empty value) instead. When true, returns only assets that have no variant tags assigned, ignoring the variantTag parameter. When false or omitted, this filter is not applied.

contentType

string
content type

complete

boolean
is content upload completed or not

schema

string
URI-escaped Schema identifier

type

Asset type filter. When specified, returns only assets of the specified type. When omitted, returns all assets (both files and configs).

sortBy

Sort By

sortOrder

Sort Order

metadata

string
AIP-160 filter expression scoped to the metadata object. Field paths are relative to the metadata object — do not include a "metadata." prefix. Supported operators: = != < <= > >= : (has/contains) AND OR NOT. Wildcards: use * in string values for glob matching (e.g. "io*" matches "ios"). Examples: ?metadata=platform="ios" ?metadata=platform="ios" AND version>3 ?metadata=platform="ios" OR platform="android" ?metadata=NOT platform="web" ?metadata=tags:"mobile" ?metadata=version:*

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/assets/info"

Response example

[ { "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "signedUrl": "string", "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": true, "content": {}, "contentHash": "string", "contentSize": 0, "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": {}, "signedUrl": "string", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ] } ] }]

Delete all assets


Deletes all files and configs for a given environment.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/assets/info"

Response example

Create multiple configs


Creates multiple new configs in a batch operation.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Request body for "{title}"

Media Type:
application/json
Array Type:
[ { "$metadata": {}, "$path": "ios/character1.bundle", "$schema": [ "https://schemas.example.com/config-schema.json" ], "$sortIndex": 0, "$variantTag": [ "string" ] }]

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ -H "Content-Type: application/json" \ -d '[ { "$metadata": {}, "$path": "ios/character1.bundle", "$schema": [ "https://schemas.example.com/config-schema.json" ], "$sortIndex": 0, "$variantTag": [ "string" ] }]' \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/configs/batch/info"

Response example

{ "created": [ { "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": true, "content": {}, "contentHash": "string", "contentSize": 0, "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": {}, "signedUrl": "string", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ null ] } ] } ], "createdIds": [ "b9a0657d-b223-4507-9206-ead33ac06c6d" ], "error": [ { "details": [ { "code": "ERROR_CODE_123", "message": "Invalid value", "path": "nested.value" } ], "error": "string", "file": { "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": null, "content": null, "contentHash": null, "contentSize": null, "contentUri": null, "createdAt": null, "createdBy": null, "createdByName": null, "deletedAt": null, "lastModifiedBy": null, "lastModifiedByName": null, "metadata": null, "signedUrl": null, "updatedAt": null, "variantTag": null } ] } } ]}

Update multiple configs


Updates multiple configs in a batch operation. All properties are overwritten; omitted fields revert to their defaults.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Request body for "{title}"

Media Type:
application/json
Array Type:
[ { "$metadata": {}, "$path": "ios/character1.bundle", "$schema": [ "https://schemas.example.com/config-schema.json" ], "$sortIndex": 0, "$variantTag": [ "string" ] }]

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X PUT \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ -H "Content-Type: application/json" \ -d '[ { "$metadata": {}, "$path": "ios/character1.bundle", "$schema": [ "https://schemas.example.com/config-schema.json" ], "$sortIndex": 0, "$variantTag": [ "string" ] }]' \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/configs/batch/info"

Response example

{ "error": [ { "details": [ { "code": "ERROR_CODE_123", "message": "Invalid value", "path": "nested.value" } ], "error": "string", "file": { "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": null, "content": null, "contentHash": null, "contentSize": null, "contentUri": null, "createdAt": null, "createdBy": null, "createdByName": null, "deletedAt": null, "lastModifiedBy": null, "lastModifiedByName": null, "metadata": null, "signedUrl": null, "updatedAt": null, "variantTag": null } ] } } ], "updated": [ { "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": true, "content": {}, "contentHash": "string", "contentSize": 0, "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": {}, "signedUrl": "string", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ null ] } ] } ], "updatedIds": [ "b9a0657d-b223-4507-9206-ead33ac06c6d" ]}

Delete multiple configs


Delete multiple configs information in a batch operation.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Request body for "{title}"

Media Type:
application/json
Array Type:
[ { "path": "ios/character1.bundle", "variantTag": [ "string" ] }]

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ -H "Content-Type: application/json" \ -d '[ { "path": "ios/character1.bundle", "variantTag": [ "string" ] }]' \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/configs/batch/info"

Response example

{ "deletedIds": [ "b9a0657d-b223-4507-9206-ead33ac06c6d" ], "error": [ { "error": "string", "file": { "path": "ios/character1.bundle", "variantTag": [ "string" ] } } ]}

Get configs with inline content


Gets all configs (metadata + inline content) for a given environment. Pagination and filtering semantics mirror /configs/info.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Query parameters for "{title}"

page

integer
Current Page

limit

integer
默认: 10
Items Per Page

path

string
Path

schema

string
URI-escaped Schema identifier

schemaVersion

string
Version constraint for the schema. Supports exact (1.1.6), partial (1.1), wildcard (1.1.*), single operators (>=1.1.0, <=1.1.0, >1.1.0, <1.1.0, =1.1.0, !=1.1.0, ~>1.1), and comma-separated multi-constraints (>=1.0.0,<2.0.0). When combined with the schema parameter, the schema value is treated as a base URL prefix. Matches documents where at least one schema URL satisfies both constraints.

after

string
Path-based cursor - returns configs listed alphabetically after this config path

start

boolean
Path-based cursor - Start from the alphabetically first config path

variantTag

array
Variant Tag. When present, filters results to those with the specified variant tags. Pass one or more values (e.g.
variantTag=ios&variantTag=android
) to match a specific tag set. Pass an empty value (
variantTag=
) to return only resources that have no variant tags assigned. Omit the parameter entirely to return all resources regardless of variant tags.

noVariantTag

boolean
deprecated
Deprecated: use
variantTag=
(empty value) instead. When true, returns only configs that have no variant tags assigned, ignoring the variantTag parameter. When false or omitted, this filter is not applied.

sortBy

Sort By

sortOrder

Sort Order

metadata

string
AIP-160 filter expression scoped to the metadata object. Field paths are relative to the metadata object — do not include a "metadata." prefix. Supported operators: = != < <= > >= : (has/contains) AND OR NOT. Wildcards: use * in string values for glob matching (e.g. "io*" matches "ios"). Examples: ?metadata=platform="ios" ?metadata=platform="ios" AND version>3 ?metadata=platform="ios" OR platform="android" ?metadata=NOT platform="web" ?metadata=tags:"mobile" ?metadata=version:*

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/configs/content"

Response example

[ { "content": { "items": [ { "id": "sword", "price": 100 } ] }, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234, "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": {}, "path": "catalog/items.json", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "sortIndex": 0, "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": true, "content": {}, "contentHash": "string", "contentSize": 0, "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": {}, "signedUrl": "string", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ] } ] }]

Get config content


Returns the structured JSON content of a single config by its path.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Query parameters for "{title}"

variantTag

array
Variant Tag. When present, filters results to those with the specified variant tags. Pass one or more values (e.g.
variantTag=ios&variantTag=android
) to match a specific tag set. Pass an empty value (
variantTag=
) to return only resources that have no variant tags assigned. Omit the parameter entirely to return all resources regardless of variant tags.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/configs/content/(.+)$"

Response example

{ "items": [ { "id": "sword", "price": 100 } ]}

Get configs


Gets all configs information for a given environment. Configs can be searched/queried by path or schema. For example, to search by path you can do "/configs/info?path=config.json". To search by schema you can do "/configs/info?schema=https%3A%2F%2Fservices.unity.com%2Fapi%2Fschema-registry%2Fv1%2Forganizations%2ForgId%2Fprojects%2FprojectId%2Fschemas%2FschemaName" (must be URI-escaped).

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Query parameters for "{title}"

page

integer
Current Page

after

string
Path-based cursor - returns configs listed after this cursor token. Use X-Next-Cursor from the previous response.

start

boolean
Path-based cursor - Start from the first config. Use with sortBy to control ordering.

limit

integer
默认: 10
Items Per Page

path

string
Path

schema

string
URI-escaped Schema identifier

schemaVersion

string
Version constraint for the schema. Supports exact (1.1.6), partial (1.1), wildcard (1.1.*), single operators (>=1.1.0, <=1.1.0, >1.1.0, <1.1.0, =1.1.0, !=1.1.0, ~>1.1), and comma-separated multi-constraints (>=1.0.0,<2.0.0). When combined with the schema parameter, the schema value is treated as a base URL prefix. Matches documents where at least one schema URL satisfies both constraints.

variantTag

array
Variant Tag. When present, filters results to those with the specified variant tags. Pass one or more values (e.g.
variantTag=ios&variantTag=android
) to match a specific tag set. Pass an empty value (
variantTag=
) to return only resources that have no variant tags assigned. Omit the parameter entirely to return all resources regardless of variant tags.

noVariantTag

boolean
deprecated
Deprecated: use
variantTag=
(empty value) instead. When true, returns only configs that have no variant tags assigned, ignoring the variantTag parameter. When false or omitted, this filter is not applied.

contentType

string
content type

complete

boolean
is content upload completed or not

sortBy

Sort By

sortOrder

Sort Order

metadata

string
AIP-160 filter expression scoped to the metadata object. Field paths are relative to the metadata object — do not include a "metadata." prefix. Supported operators: = != < <= > >= : (has/contains) AND OR NOT. Wildcards: use * in string values for glob matching (e.g. "io*" matches "ios"). Examples: ?metadata=platform="ios" ?metadata=platform="ios" AND version>3 ?metadata=platform="ios" OR platform="android" ?metadata=NOT platform="web" ?metadata=tags:"mobile" ?metadata=version:*

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/configs/info"

Response example

[ { "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": true, "content": {}, "contentHash": "string", "contentSize": 0, "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": {}, "signedUrl": "string", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ] } ] }]

Delete all configs


Marks all configs as deleted within a specific project and environment. All previous versions of configs will still exist. No config content is removed.

Path parameters for "{title}"

projectId

string
必填
Project ID

environmentId

string
必填
Environment ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/configs/info"

Response example

Get config


Gets a single config file.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Query parameters for "{title}"

variantTag

array
Variant Tag. When present, filters results to those with the specified variant tags. Pass one or more values (e.g.
variantTag=ios&variantTag=android
) to match a specific tag set. Pass an empty value (
variantTag=
) to return only resources that have no variant tags assigned. Omit the parameter entirely to return all resources regardless of variant tags.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/configs/info/(.+)$"

Response example

{ "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": true, "content": {}, "contentHash": "string", "contentSize": 0, "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": {}, "signedUrl": "string", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ] } ]}

Create Config File


Creates a new config file.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Query parameters for "{title}"

variantTag

array
Variant Tag. When present, filters results to those with the specified variant tags. Pass one or more values (e.g.
variantTag=ios&variantTag=android
) to match a specific tag set. Pass an empty value (
variantTag=
) to return only resources that have no variant tags assigned. Omit the parameter entirely to return all resources regardless of variant tags.

Request body for "{title}"

Media Type:
application/json

$metadata

object
Metadata about the config

$schema

example: ["https://schemas.example.com/config-schema.json"]
JSON Schema URIs that define the structure of the config

$sortIndex

integer
Reserved. Optional pre-defined sort key. When omitted, the server assigns a default derived from the creation timestamp.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ -H "Content-Type: application/json" \ -d '{ "$metadata": {}, "$schema": [ "https://schemas.example.com/config-schema.json" ], "$sortIndex": 0}' \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/configs/info/(.+)$"

Response example

{ "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": true, "content": {}, "contentHash": "string", "contentSize": 0, "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": {}, "signedUrl": "string", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ] } ]}

Update Config File


Updates a config file. All properties are overwritten; omitted fields revert to their defaults.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Query parameters for "{title}"

variantTag

array
Variant Tag. When present, filters results to those with the specified variant tags. Pass one or more values (e.g.
variantTag=ios&variantTag=android
) to match a specific tag set. Pass an empty value (
variantTag=
) to return only resources that have no variant tags assigned. Omit the parameter entirely to return all resources regardless of variant tags.

Request body for "{title}"

Media Type:
application/json

$metadata

object
Metadata about the config

$schema

example: ["https://schemas.example.com/config-schema.json"]
JSON Schema URIs that define the structure of the config

$sortIndex

integer
Reserved. Optional pre-defined sort key. When omitted, the server assigns a default derived from the creation timestamp.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X PUT \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ -H "Content-Type: application/json" \ -d '{ "$metadata": {}, "$schema": [ "https://schemas.example.com/config-schema.json" ], "$sortIndex": 0}' \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/configs/info/(.+)$"

Response example

{ "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": true, "content": {}, "contentHash": "string", "contentSize": 0, "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": {}, "signedUrl": "string", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ] } ]}

Partial update Config


Partially updates a single config's information.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Query parameters for "{title}"

variantTag

array
Variant Tag. When present, filters results to those with the specified variant tags. Pass one or more values (e.g.
variantTag=ios&variantTag=android
) to match a specific tag set. Pass an empty value (
variantTag=
) to return only resources that have no variant tags assigned. Omit the parameter entirely to return all resources regardless of variant tags.

Request body for "{title}"

Media Type:
application/json

$metadata

object
Metadata about the config

$schema

example: ["https://schemas.example.com/config-schema.json"]
JSON Schema URIs that define the structure of the config

$sortIndex

integer
Reserved. Optional pre-defined sort key. When omitted, the server assigns a default derived from the creation timestamp.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X PATCH \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ -H "Content-Type: application/json" \ -d '{ "$metadata": {}, "$schema": [ "https://schemas.example.com/config-schema.json" ], "$sortIndex": 0}' \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/configs/info/(.+)$"

Response example

{ "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": true, "content": {}, "contentHash": "string", "contentSize": 0, "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": {}, "signedUrl": "string", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ] } ]}

Delete config


Deletes a specific config file by its path.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Query parameters for "{title}"

variantTag

array
Variant Tag. When present, filters results to those with the specified variant tags. Pass one or more values (e.g.
variantTag=ios&variantTag=android
) to match a specific tag set. Pass an empty value (
variantTag=
) to return only resources that have no variant tags assigned. Omit the parameter entirely to return all resources regardless of variant tags.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/configs/info/(.+)$"

Response example

{ "id": "b9a0657d-b223-4507-9206-ead33ac06c6d"}

Create multiple files


Creates multiple new files information in a batch operation.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Request body for "{title}"

Media Type:
application/json
Array Type:
[ { "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "metadata": {}, "path": "ios/character1.bundle", "sortIndex": 0, "variantTag": [ "string" ] }]

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ -H "Content-Type: application/json" \ -d '[ { "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "metadata": {}, "path": "ios/character1.bundle", "sortIndex": 0, "variantTag": [ "string" ] }]' \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/files/batch/info"

Response example

{ "created": [ { "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "signedUrl": "string", "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": true, "content": {}, "contentHash": "string", "contentSize": 0, "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": {}, "signedUrl": "string", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ null ] } ] } ], "createdIds": [ "b9a0657d-b223-4507-9206-ead33ac06c6d" ], "error": [ { "details": [ { "code": "ERROR_CODE_123", "message": "Invalid value", "path": "nested.value" } ], "error": "string", "file": { "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "signedUrl": "string", "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": null, "content": null, "contentHash": null, "contentSize": null, "contentUri": null, "createdAt": null, "createdBy": null, "createdByName": null, "deletedAt": null, "lastModifiedBy": null, "lastModifiedByName": null, "metadata": null, "signedUrl": null, "updatedAt": null, "variantTag": null } ] } } ]}

Update multiple files


Updates multiple files in a batch operation. All properties are overwritten; omitted fields revert to their defaults.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Request body for "{title}"

Media Type:
application/json
Array Type:
[ { "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "metadata": {}, "path": "ios/character1.bundle", "sortIndex": 0, "variantTag": [ "string" ] }]

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X PUT \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ -H "Content-Type: application/json" \ -d '[ { "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "metadata": {}, "path": "ios/character1.bundle", "sortIndex": 0, "variantTag": [ "string" ] }]' \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/files/batch/info"

Response example

{ "error": [ { "details": [ { "code": "ERROR_CODE_123", "message": "Invalid value", "path": "nested.value" } ], "error": "string", "file": { "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "signedUrl": "string", "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": null, "content": null, "contentHash": null, "contentSize": null, "contentUri": null, "createdAt": null, "createdBy": null, "createdByName": null, "deletedAt": null, "lastModifiedBy": null, "lastModifiedByName": null, "metadata": null, "signedUrl": null, "updatedAt": null, "variantTag": null } ] } } ], "updated": [ { "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "signedUrl": "string", "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": true, "content": {}, "contentHash": "string", "contentSize": 0, "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": {}, "signedUrl": "string", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ null ] } ] } ], "updatedIds": [ "b9a0657d-b223-4507-9206-ead33ac06c6d" ]}

Delete multiple files


Delete multiple files information in a batch operation.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Request body for "{title}"

Media Type:
application/json
Array Type:
[ { "path": "ios/character1.bundle", "variantTag": [ "string" ] }]

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ -H "Content-Type: application/json" \ -d '[ { "path": "ios/character1.bundle", "variantTag": [ "string" ] }]' \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/files/batch/info"

Response example

{ "deletedIds": [ "b9a0657d-b223-4507-9206-ead33ac06c6d" ], "error": [ { "error": "string", "file": { "path": "ios/character1.bundle", "variantTag": [ "string" ] } } ]}

Get file content


Retrieve the content of a single file.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Query parameters for "{title}"

variantTag

array
Variant Tag. When present, filters results to those with the specified variant tags. Pass one or more values (e.g.
variantTag=ios&variantTag=android
) to match a specific tag set. Pass an empty value (
variantTag=
) to return only resources that have no variant tags assigned. Omit the parameter entirely to return all resources regardless of variant tags.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/files/content/(.+)$"

Response example

Get files


Gets all files information for a given environment. Files can be searched/queried by path or variant tag. For example, to search by path you can do "/files/info?path=asset.bundle". To search by variant tag you can do "/files/info?variantTag=android". To search for files with no variant tags, use "/files/info?variantTag". To get all files regardless of variant tags, use "/files/info" (omit the variantTag parameter).

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Query parameters for "{title}"

page

integer
Current Page

after

string
Path-based cursor - returns files listed after this cursor token. Use X-Next-Cursor from the previous response.

start

boolean
Path-based cursor - Start from the first file. Use with sortBy to control ordering.

limit

integer
默认: 10
Items Per Page

path

string
Path

variantTag

array
Variant Tag. When present, filters results to those with the specified variant tags. Pass one or more values (e.g.
variantTag=ios&variantTag=android
) to match a specific tag set. Pass an empty value (
variantTag=
) to return only resources that have no variant tags assigned. Omit the parameter entirely to return all resources regardless of variant tags.

noVariantTag

boolean
deprecated
Deprecated: use
variantTag=
(empty value) instead. When true, returns only files that have no variant tags assigned, ignoring the variantTag parameter. When false or omitted, this filter is not applied.

contentType

string
content type

complete

boolean
is content upload completed or not

sortBy

Sort By

sortOrder

Sort Order

metadata

string
AIP-160 filter expression scoped to the metadata object. Field paths are relative to the metadata object — do not include a "metadata." prefix. Supported operators: = != < <= > >= : (has/contains) AND OR NOT. Wildcards: use * in string values for glob matching (e.g. "io*" matches "ios"). Examples: ?metadata=platform="ios" ?metadata=platform="ios" AND version>3 ?metadata=platform="ios" OR platform="android" ?metadata=NOT platform="web" ?metadata=tags:"mobile" ?metadata=version:*

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/files/info"

Response example

[ { "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "signedUrl": "string", "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": true, "content": {}, "contentHash": "string", "contentSize": 0, "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": {}, "signedUrl": "string", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ] } ] }]

Delete all files


Marks all files as deleted within a specific project and environment. All previous versions of files will still exist. No file content is removed.

Path parameters for "{title}"

projectId

string
必填
Project ID

environmentId

string
必填
Environment ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/files/info"

Response example

Get file


Gets a single file information.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Query parameters for "{title}"

variantTag

array
Variant Tag. When present, filters results to those with the specified variant tags. Pass one or more values (e.g.
variantTag=ios&variantTag=android
) to match a specific tag set. Pass an empty value (
variantTag=
) to return only resources that have no variant tags assigned. Omit the parameter entirely to return all resources regardless of variant tags.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/files/info/(.+)$"

Response example

{ "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "signedUrl": "string", "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": true, "content": {}, "contentHash": "string", "contentSize": 0, "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": {}, "signedUrl": "string", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ] } ]}

Create file


Creates a new file information.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Query parameters for "{title}"

variantTag

array
Variant Tag. When present, filters results to those with the specified variant tags. Pass one or more values (e.g.
variantTag=ios&variantTag=android
) to match a specific tag set. Pass an empty value (
variantTag=
) to return only resources that have no variant tags assigned. Omit the parameter entirely to return all resources regardless of variant tags.

Request body for "{title}"

Media Type:
application/json

contentHash

string
必填
example: LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=
Base64-encoded SHA-256 (44 chars) or MD5 (22–24 chars, deprecated) hash of the file content

contentSize

integer
必填
example: 1234567
No description

contentType

string
必填
example: image/jpeg
No description

metadata

object
No description

sortIndex

integer
Reserved. Optional pre-defined sort key. When omitted, the server assigns a default derived from the creation timestamp.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ -H "Content-Type: application/json" \ -d '{ "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "metadata": {}, "sortIndex": 0}' \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/files/info/(.+)$"

Response example

{ "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "signedUrl": "string", "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": true, "content": {}, "contentHash": "string", "contentSize": 0, "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": {}, "signedUrl": "string", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ] } ]}

Update file


Updates an existing file. All properties are overwritten; omitted fields revert to their defaults.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Query parameters for "{title}"

variantTag

array
Variant Tag. When present, filters results to those with the specified variant tags. Pass one or more values (e.g.
variantTag=ios&variantTag=android
) to match a specific tag set. Pass an empty value (
variantTag=
) to return only resources that have no variant tags assigned. Omit the parameter entirely to return all resources regardless of variant tags.

Request body for "{title}"

Media Type:
application/json

contentHash

string
必填
example: LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=
Base64-encoded SHA-256 (44 chars) or MD5 (22–24 chars, deprecated) hash of the file content

contentSize

integer
必填
example: 1234567
No description

contentType

string
必填
example: image/jpeg
No description

metadata

object
No description

sortIndex

integer
Reserved. Optional pre-defined sort key. When omitted, the server assigns a default derived from the creation timestamp.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X PUT \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ -H "Content-Type: application/json" \ -d '{ "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "metadata": {}, "sortIndex": 0}' \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/files/info/(.+)$"

Response example

{ "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "signedUrl": "string", "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": true, "content": {}, "contentHash": "string", "contentSize": 0, "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": {}, "signedUrl": "string", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ] } ]}

Partial Update file


Partially updates a single file's information.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Query parameters for "{title}"

variantTag

array
Variant Tag. When present, filters results to those with the specified variant tags. Pass one or more values (e.g.
variantTag=ios&variantTag=android
) to match a specific tag set. Pass an empty value (
variantTag=
) to return only resources that have no variant tags assigned. Omit the parameter entirely to return all resources regardless of variant tags.

Request body for "{title}"

Media Type:
application/json

contentHash

string
example: LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=
Base64-encoded SHA-256 (44 chars) or MD5 (22–24 chars, deprecated) hash of the file content

contentSize

integer
example: 1234567
No description

contentType

string
example: image/jpeg
No description

metadata

object
No description

sortIndex

integer
Reserved. Optional pre-defined sort key. When omitted, the server assigns a default derived from the creation timestamp.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X PATCH \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ -H "Content-Type: application/json" \ -d '{ "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "metadata": {}, "sortIndex": 0}' \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/files/info/(.+)$"

Response example

{ "complete": true, "contentHash": "LPJNul+wow4m6DsqxbninhsWHlwfp0JecwQzYpOLmCQ=", "contentSize": 1234567, "contentType": "image/jpeg", "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": { "description": "File metadata" }, "path": "ios/character1.bundle", "schemas": [ "https://services.unity.com/api/schema-registry/v1/organizations/orgId/projects/projectId/schemas/schemaName" ], "signedUrl": "string", "sortIndex": 0, "type": "file", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ], "variants": [ { "complete": true, "content": {}, "contentHash": "string", "contentSize": 0, "contentUri": "string", "createdAt": "2024-01-01T00:00:00Z", "createdBy": "string", "createdByName": "string", "deletedAt": "2024-01-01T00:00:00Z", "lastModifiedBy": "string", "lastModifiedByName": "string", "metadata": {}, "signedUrl": "string", "updatedAt": "2024-01-01T00:00:00Z", "variantTag": [ "string" ] } ]}

Delete file


Removes a single file information. When DELETE is called on an file we just mark it as deleted but all previous versions of the file still exist. No file content is removed.

Path parameters for "{title}"

environmentId

string
必填
Environment ID

projectId

string
必填
Project ID

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

unity-live-release-name

string
No description

unity-live-release-id

string
No description

Query parameters for "{title}"

variantTag

array
Variant Tag. When present, filters results to those with the specified variant tags. Pass one or more values (e.g.
variantTag=ios&variantTag=android
) to match a specific tag set. Pass an empty value (
variantTag=
) to return only resources that have no variant tags assigned. Omit the parameter entirely to return all resources regardless of variant tags.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ -H "unity-live-release-name: <unity-live-release-name>" \ -H "unity-live-release-id: <unity-live-release-id>" \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/environments/{environmentId}/files/info/(.+)$"

Response example

{ "id": "b9a0657d-b223-4507-9206-ead33ac06c6d"}

Compare releases diff summary


Returns a summary of differences between two releases (added, deleted, modified, unchanged counts).

Path parameters for "{title}"

projectId

string
必填
Project ID

fromReleaseId

string
必填
Release ID to compare from (release A)

toReleaseId

string
必填
Release ID to compare to (release B)

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/releases/{fromReleaseId}/diff/{toReleaseId}"

Response example

{ "added": 0, "deleted": 0, "modified": 0, "unchanged": 0}

Compare releases diff assets


Returns per-file differences between two releases with pagination.

Path parameters for "{title}"

projectId

string
必填
Project ID

fromReleaseId

string
必填
Release ID to compare from (release A)

toReleaseId

string
必填
Release ID to compare to (release B)

Header parameters for "{title}"

X-Feature-Flag

string
Comma-separated list of feature flag names to enable for this request. Only honored on management (admin-authenticated) routes. Example:
X-Feature-Flag: file-repo-v2,other-flag

Query parameters for "{title}"

page

integer
Current Page

limit

integer
默认: 10
Items Per Page

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://services.api.unity.com/live-content/admin/v1/projects/{projectId}/releases/{fromReleaseId}/diff/{toReleaseId}/assets"

Response example

[ { "complete": true, "contentSize": 1234567, "contentUri": "string", "environmentId": "string", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModified": "2024-01-01T00:00:00Z", "path": "ios/character1.bundle", "previousFile": { "complete": true, "contentSize": 1234567, "contentUri": "string", "environmentId": "string", "id": "b9a0657d-b223-4507-9206-ead33ac06c6d", "lastModified": "2024-01-01T00:00:00Z", "path": "ios/character1.bundle" }, "state": "added", "type": "file", "variantTag": [ "string" ] }]

Copyright © 2026 Unity Technologies
法律信息隐私政策CookiesDocumentation Terms of Use请勿出售或分享我的个人信息您的隐私选择(Cookie 设置)

“Unity”、Unity 徽标及其他 Unity 商标是 Unity Technologies 或其附属公司在美国和其他地方的商标或注册商标(此处查看更多信息)。其他名称或品牌是其各自所有者的商标。

为方便起见,一些页面是机器翻译的,可能包含不准确的内容。如有信息不一致的情况,以英文版本为准。